<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
<p id="demo"></p>
   <script>

       //funciones 
    function mifuncion(par1,par2){
var resultado= par1+par2;
return resultado;
       }
        var num=10+mifuncion(5,7);
        // con esta linea de codigo llamo a la funcion
        //document.getElementById("demo").innerHTML= mifuncion(5,7) 
    document.getElementById("demo").innerHTML= num //llamar a la funcion
   </script>
    <script source="ejemplo.js"></script>
</body>
</html>